Bug 583643 - Review Request: tigase-xmltools - Tigase XML Tools
Summary: Review Request: tigase-xmltools - Tigase XML Tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mary Ellen Foster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 619928
TreeView+ depends on / blocked
 
Reported: 2010-04-19 10:14 UTC by Matěj Cepl
Modified: 2018-04-11 07:57 UTC (History)
4 users (show)

Fixed In Version: tigase-xmltools-3.3.4-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-04 23:04:54 UTC
mefoster: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matěj Cepl 2010-04-19 10:14:03 UTC
Spec URL: http://mcepl.fedorapeople.org/rpms/tigase-xmltools.spec
SRPM URL: http://mcepl.fedorapeople.org/rpms/tigase-xmltools-3.3.4-1.el6.src.rpm
Description:
This is mainly XML parser dedicated for XMPP stream handling. Lightweight
and offering high performance parser doesn't handle full XML specification.

The implementation covers only elements used in the XMPP protocol.

Comment 1 Mary Ellen Foster 2010-04-19 10:41:00 UTC
I'll take this one ...

Comment 2 Mary Ellen Foster 2010-04-19 12:12:43 UTC
Review:
OK: rpmlint must be run on every package. Output:
==> tigase-xmltools.src: W: invalid-url Source0: tigase-xmltools-3.3.4.tar.bz2
tigase-xmltools-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

False positives

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
??: The License field in the package spec file must match the actual license.
==> How can you tell it's GPLV3+ rather than GPLV3?

OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL.
==> I checked out the sources and the checksum didn't match. However, that's entirely due to language differences in the $Date$ fields in the source files; i.e., all diffs were of the following form:
@@ -17,7 +17,7 @@
  *
  * $Rev: 444 $
  * Last modified by $Author: kobit $
- * $Date: 2009-07-22 19:15:19 +0200 (St, 22 čec 2009) $
+ * $Date: 2009-07-22 18:15:19 +0100 (Wed, 22 Jul 2009) $
  */
 
 package tigase.xml;

OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates.
OK: A Fedora package must not list a file more than once in the spec file's
%files listings.
OK: Permissions on files must be set properly.
OK: Each package must have a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content.
OK: Packages must not own files or directories already owned by other packages.
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK: All filenames in rpm packages must be valid UTF-8.

A couple of questions:
- Why do you export LANG=en_IE.utf-8 before running ant? (Why in general, and also why Ireland specifically?)
- Why not name the directory in the tarball tigase-xmltools-3.3.4 instead of xmltools so you don't have to do the %setup -n part?
- What's up with the FIXME comment?

Comment 3 Matěj Cepl 2010-04-19 16:06:00 UTC
(In reply to comment #2)
> ??: The License field in the package spec file must match the actual license.
> ==> How can you tell it's GPLV3+ rather than GPLV3?

You're right. All GPLv3 are GPLv3+.

> A couple of questions:
> - Why do you export LANG=en_IE.utf-8 before running ant? (Why in general, and
> also why Ireland specifically?)

I usually use en_IE.utf-8 locale when I want "normal English", because it is metric, uses A4 paper, EUR money etc. I will leave there en_US to satisfy you're US-centrism ;) and so that I have English error messages. Hopefully it doesn't bother anybody.

> - Why not name the directory in the tarball tigase-xmltools-3.3.4 instead of
> xmltools so you don't have to do the %setup -n part?

good point, fixed

> - What's up with the FIXME comment?    

removed ... will be important in further subsequent packages in stack. Not here.

New package is http://mcepl.fedorapeople.org/rpms/tigase-xmltools-3.3.4-2.el6.src.rpm, SPEC file is in the same place.
Built in koji http://koji.fedoraproject.org/koji/taskinfo?taskID=2126261

Comment 4 Mary Ellen Foster 2010-05-10 14:55:55 UTC
Looks good now.

I'd suggest rewriting the description to something more like this:

An XML parser dedicated for XMPP stream handling. It is a lightweight
and high performance parser that does not handle the full XML specification.

The implementation covers only elements used in the XMPP protocol.


(And BTW -- I'm not American, I'm Canadian :) )

APPROVED

Comment 5 Matěj Cepl 2010-05-10 23:06:03 UTC
(In reply to comment #4)
> (And BTW -- I'm not American, I'm Canadian :) )
> 
> APPROVED    

I most sincerely beg your pardon from accusing you of any relations with THEM.

So, now back to business:

New Package CVS Request
=======================
Package Name: tigase-xmltools
Short Description: Tigase XML Tools
Owners: mcepl
Branches: F-12 F-13 EL-5
InitialCC:

Comment 6 Kevin Fenzi 2010-05-11 04:41:36 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-05-13 17:08:18 UTC
tigase-xmltools-3.3.4-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tigase-xmltools-3.3.4-3.fc12

Comment 8 Fedora Update System 2010-05-13 17:55:51 UTC
tigase-xmltools-3.3.4-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tigase-xmltools-3.3.4-3.fc13

Comment 9 Fedora Update System 2010-05-14 10:30:57 UTC
tigase-xmltools-3.3.4-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/tigase-xmltools-3.3.4-3.el5

Comment 10 Fedora Update System 2010-05-14 20:45:20 UTC
tigase-xmltools-3.3.4-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tigase-xmltools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tigase-xmltools-3.3.4-3.el5

Comment 11 Fedora Update System 2010-05-15 20:33:51 UTC
tigase-xmltools-3.3.4-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tigase-xmltools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tigase-xmltools-3.3.4-3.fc13

Comment 12 Fedora Update System 2010-05-15 20:46:52 UTC
tigase-xmltools-3.3.4-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tigase-xmltools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tigase-xmltools-3.3.4-3.fc12

Comment 13 Fedora Update System 2010-08-04 23:04:49 UTC
tigase-xmltools-3.3.4-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Matěj Cepl 2010-08-16 17:47:10 UTC
Package Change Request
======================
Package Name: tigase-xmltools
New Branches: EL-6
Owners: mcepl
InitialCC:

Comment 15 Kevin Fenzi 2010-08-16 19:22:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.